# use "--without epiphanye" as rpmbuildparameter to disable epiphany-extension (requires FC3 Core package)

Summary:	Graphical download manager that uses wget
Name:		gwget
Version:	0.93
Release:	0.%{mysig}
License:	GPL
Group:		Applications/Internet
Source0:	http://dl.sf.net/gwget/gwget-0.93.tar.gz
Source1:	gwget.desktop
Patch0: 	gwget-autoreconf.patch.bz2
URL:		http://gwget.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildrequires:	libgnomeui-devel >= 2.0
Buildrequires:	libglade2-devel >= 2.0
BuildRequires:	perl-XML-Parser
BuildRequires:	gettext >= 0.14.1
BuildRequires:	desktop-file-utils
Requires:	wget >= 1.9
Requires(post):		GConf2
Requires(preun):	GConf2


%description
Gwget is a Download Manager for Gnome 2. It uses wget as a backend.
Currently, very basic wget options are available, supporting multiple
downloads, drag&drop and display the errors from wget process.

%if 0%{!?_without_epiphanye:1}

%package epiphany-extension
Summary:	This Package contains extensions gwget2 extensions for epiphany.
Group:		Applications/Internet
Requires:	%{name} = %{version}
Requires:	epiphany >= 1.4.4
BuildRequires:	epiphany-devel >= 1.4.4

%description epiphany-extension
This Package contains extensions gwget2 extensions for epiphany.
%endif # _without_epiphanye

%prep
%setup -q
%patch0 -p1

%build
%configure %{?_without_epiphanye:--disable-epiphany-extension}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
# For GConf apps: prevent schemas from being installed at this stage
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
rm ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor fedora                   \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  %{SOURCE1}
rm -f ${RPM_BUILD_ROOT}/%{_includedir}/gwget/*
%find_lang %{name}
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -f $RPM_BUILD_ROOT%{_libdir}/epiphany/extensions/libgwgetextension.a

%clean
rm -rf %{buildroot}

%post
# For GConf apps: install schemas as system default
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-install-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null ||:

%preun
# For GConf apps: uninstall app's system default schemas
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
/usr/bin/gconftool-2 --makefile-uninstall-rule \
  %{_sysconfdir}/gconf/schemas/%{name}.schemas >/dev/null || :


%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_libdir}/bonobo/servers/GNOME_Gwget.server
%{_sysconfdir}/gconf/schemas/gwget.schemas
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/idl/GNOME_Gwget.idl
%{_datadir}/applications/fedora-%{name}.desktop

%if 0%{!?_without_epiphanye:1}
%files epiphany-extension
%defattr (-,root,root)
%dir %{_libdir}/epiphany/extensions/
%{_libdir}/epiphany/extensions/*
%endif # _without_epiphanye



%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 0.93-0.ker.rhel4
- rebuild for RHEL4 (package from FC4 Extras)

* Tue Mar 01 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.93-2
- Add gwget-autoreconf.patch.bz2 ; fixes x86_64

* Tue Jan 25 2005 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.93-1
- Update to 0.93

* Thu Dec 09 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.92-0.fdr.1
- Update to 0.92

* Tue Nov 27 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.91-0.fdr.1
- Update to 0.91
- Add handling for new GCconf schemas
- Add epiphany-extension package

* Tue Oct 19 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.90-0.fdr.1
- Update to 0.90
- disable-epiphany-extension until FC3

* Tue Sep 14 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14.1-0.fdr.2
- Don't ship header files

* Mon Sep 13 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14.1-0.fdr.1
- Update to 0.14.1
- Add BuildRequire gettext intltool
- Remove gwget.png workaround

* Mon Aug 30 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.3
- Fixed devel description (again)
- Fixed Changelog-Versions

* Mon Aug 30 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.2
- Source changed to something downloadable with wget
- Fixed devel description
- use desktop-file-utils

* Sun Aug 29 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0:0.14-0.fdr.1
- Update to 0.14

* Thu Aug 16 2004 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 0.13-0.fdr.1
- New Spec file based on impressions from gwget-0.13.1-5asp with
  work from various people:
  Pavlo Bohmat <bohm@ukr.net>
  Arkady L. Shane <shejn@msiu.ru>
  Abel Cheung <deaddog@deaddog.org>
  Lenny Cartier <lenny@mandrakesoft.com>
  Michael Scherer <scherer.michael@free.fr>
  Laurent MONTEL <lmontel@mandrakesoft.com>
